package com.mvc.dao;

import com.mvc.entity.StateChangeLog;
import com.mvc.entity.StateChangeLogExample;
import java.util.List;
import org.apache.ibatis.annotations.Param;

public interface StateChangeLogMapper {
    long countByExample(StateChangeLogExample example);

    int deleteByExample(StateChangeLogExample example);

    int deleteByPrimaryKey(Integer id);

    int insert(StateChangeLog record);

    int insertSelective(StateChangeLog record);

    List<StateChangeLog> selectByExample(StateChangeLogExample example);

    StateChangeLog selectByPrimaryKey(Integer id);

    int updateByExampleSelective(@Param("record") StateChangeLog record, @Param("example") StateChangeLogExample example);

    int updateByExample(@Param("record") StateChangeLog record, @Param("example") StateChangeLogExample example);

    int updateByPrimaryKeySelective(StateChangeLog record);

    int updateByPrimaryKey(StateChangeLog record);
}